Bug 4649 - Incorrect "cross-directory-hard-link" messages when building rpms
: Incorrect "cross-directory-hard-link" messages when building rpms
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-12 15:40 MSK by Denis Silakov
Modified: 2014-11-20 19:21 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-11-12 15:40:22 MSK
When building packages with large number of files, rpmbuild sometimes reports "cross-directory-hard-link" false positives.

See also bug #4644.
Comment 1 Denis Silakov 2014-11-12 15:42:19 MSK
Advisory:
Improve hard link handling in rpm to decrease number of "cross-directory-hard-link" false positives.

Build lists:
https://abf.io/build_lists/2332554
https://abf.io/build_lists/2332553

Note for testers:
It is necessary to check that behavior of rpm for ordinary users is not affected by this update.
Comment 2 FirstLevel 2014-11-19 17:51:02 MSK
I have tested updated from newly installed 64bit R4 with this updates
http://bugs.rosalinux.ru/show_bug.cgi?id=4649
http://bugs.rosalinux.ru/show_bug.cgi?id=4681
http://bugs.rosalinux.ru/show_bug.cgi?id=4652
All goes well.
Comment 3 FirstLevel 2014-11-19 17:54:21 MSK
(In reply to comment #2)
I have successfully updated with  with this updates on  64bit R4
> http://bugs.rosalinux.ru/show_bug.cgi?id=4649
> http://bugs.rosalinux.ru/show_bug.cgi?id=4681
> http://bugs.rosalinux.ru/show_bug.cgi?id=4652
> All goes well.
Comment 4 FirstLevel 2014-11-20 10:13:38 MSK
I have successfully updated to actual updates with this containers 
http://bugs.rosalinux.ru/show_bug.cgi?id=4681
http://bugs.rosalinux.ru/show_bug.cgi?id=4649
http://bugs.rosalinux.ru/show_bug.cgi?id=4652
from newly installed 32bit R4
Comment 5 FirstLevel 2014-11-20 10:13:38 MSK
I have successfully updated to actual updates with this containers 
http://bugs.rosalinux.ru/show_bug.cgi?id=4681
http://bugs.rosalinux.ru/show_bug.cgi?id=4649
http://bugs.rosalinux.ru/show_bug.cgi?id=4652
from newly installed 32bit R4
Comment 6 Vladimir Potapov 2014-11-20 19:08:23 MSK
rpm-5.4.10-47
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2332553/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2332554/x86_64/main/release/
************************* Advisory **********************
Improve hard link handling in rpm to decrease number of "cross-directory-hard-link" false positives.
**********************************************************
QA Verified